*
* $Id: flqint.F,v 1.1.1.1 1996/03/08 17:40:15 mclareni Exp $
*
* $Log: flqint.F,v $
* Revision 1.1.1.1  1996/03/08 17:40:15  mclareni
* Lepto63
*
*
C **********************************************************************
 
      FUNCTION FLQINT(Z)
 
C...Quark contribution integrand to QCD longitudinal structure function.
 
      COMMON /LEPTOU/ CUT(14),LST(40),PARL(30),X,Y,W2,Q2,U
      COMMON /LINTER/ PARI(40),EWQC(2,2,8),QC(8),ZL(2,4),ZQ(2,8),PQ(17)
      COMMON /LINTEG/ NTOT,NPASS
      DIMENSION XPQ(-6:6)
      DATA PI/3.14159/
      NTOT=NTOT+1
      CALL LNSTRF(Z,Q2,XPQ)
      FLQINT=0.
      DO 100 I=-LST(12),LST(12)
      IF(I.EQ.0) GOTO 100
      FLQINT=FLQINT+QC(IABS(I))**2*XPQ(I)
  100 CONTINUE
      FLQINT=4./3.*PARL(25)/PI*(X/Z)**2*FLQINT/Z
      NPASS=NPASS+1
 
      RETURN
      END
